curl
curl --request GET \
--url https://analytics.us.algolia.com/3/abtests/224/settings \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new AbtestingV3Client(
new AbtestingV3Config(
"ALGOLIA_APPLICATION_ID",
"ALGOLIA_API_KEY",
"ALGOLIA_APPLICATION_REGION"
)
);
// Call the API
var response = await client.GetABTestSettingsAsync(42);
// print the response
Console.WriteLine(response);// Initialize the client
final client = AbtestingV3Client(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.getABTestSettings(
id: 42,
);
// print the response
print(response);// Initialize the client with your application region, eg. abtestingV3.ALGOLIA_APPLICATION_REGION
client, err := abtestingV3.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", abtestingV3.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.GetABTestSettings(client.NewApiGetABTestSettingsRequest(
42))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
AbtestingV3Client client = new AbtestingV3Client("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
ABTestSettingsResponse response = client.getABTestSettings(42);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initAbtestingV3({ region: 'us' });
// Call the API
const response = await client.getABTestSettings({ id: 42 });
// print the response
console.log(response);// Initialize the client
val client =
AbtestingV3Client(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response = client.getABTestSettings(id = 42)
// print the response
println(response)// Initialize the client
$client = AbtestingV3Client::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->getABTestSettings(
42,
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use AbtestingV3Client instead, which exposes the exact same methods.
client = AbtestingV3ClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.get_ab_test_settings(
id=42,
)
# print the response
print(response)# Initialize the client
client = Algolia::AbtestingV3Client.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.get_ab_test_settings(42)
# print the response
puts(response)// Initialize the client
val client = AbtestingV3Client(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = Option("ALGOLIA_APPLICATION_REGION")
)
// Call the API
val response = Await.result(
client.getABTestSettings(
id = 42
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try AbtestingV3Client(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.getABTestSettings(id: 42)
// print the response
print(response){
"abtestSettings": [
{
"applied": true,
"variantId": 2,
"applyTimestamp": "2023-06-17T00:00:00Z",
"declaredTimestamp": "2023-06-16T00:00:00Z",
"expiredTimestamp": "2023-07-16T00:00:00Z",
"featuresSettings": [
{
"name": "drr",
"settings": "<unknown>"
}
],
"indexSettings": {},
"revertTimestamp": "2023-06-18T00:00:00Z"
}
],
"controlIndexInUse": true
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}A/B testing API v3
Retrieve captured A/B test settings
Retrieves the settings captured for each variant of an A/B test, and whether another active A/B test is using the control index.
GET
/
3
/
abtests
/
{id}
/
settings
curl
curl --request GET \
--url https://analytics.us.algolia.com/3/abtests/224/settings \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new AbtestingV3Client(
new AbtestingV3Config(
"ALGOLIA_APPLICATION_ID",
"ALGOLIA_API_KEY",
"ALGOLIA_APPLICATION_REGION"
)
);
// Call the API
var response = await client.GetABTestSettingsAsync(42);
// print the response
Console.WriteLine(response);// Initialize the client
final client = AbtestingV3Client(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.getABTestSettings(
id: 42,
);
// print the response
print(response);// Initialize the client with your application region, eg. abtestingV3.ALGOLIA_APPLICATION_REGION
client, err := abtestingV3.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", abtestingV3.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.GetABTestSettings(client.NewApiGetABTestSettingsRequest(
42))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
AbtestingV3Client client = new AbtestingV3Client("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
ABTestSettingsResponse response = client.getABTestSettings(42);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initAbtestingV3({ region: 'us' });
// Call the API
const response = await client.getABTestSettings({ id: 42 });
// print the response
console.log(response);// Initialize the client
val client =
AbtestingV3Client(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response = client.getABTestSettings(id = 42)
// print the response
println(response)// Initialize the client
$client = AbtestingV3Client::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->getABTestSettings(
42,
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use AbtestingV3Client instead, which exposes the exact same methods.
client = AbtestingV3ClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.get_ab_test_settings(
id=42,
)
# print the response
print(response)# Initialize the client
client = Algolia::AbtestingV3Client.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.get_ab_test_settings(42)
# print the response
puts(response)// Initialize the client
val client = AbtestingV3Client(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = Option("ALGOLIA_APPLICATION_REGION")
)
// Call the API
val response = Await.result(
client.getABTestSettings(
id = 42
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try AbtestingV3Client(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.getABTestSettings(id: 42)
// print the response
print(response){
"abtestSettings": [
{
"applied": true,
"variantId": 2,
"applyTimestamp": "2023-06-17T00:00:00Z",
"declaredTimestamp": "2023-06-16T00:00:00Z",
"expiredTimestamp": "2023-07-16T00:00:00Z",
"featuresSettings": [
{
"name": "drr",
"settings": "<unknown>"
}
],
"indexSettings": {},
"revertTimestamp": "2023-06-18T00:00:00Z"
}
],
"controlIndexInUse": true
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}Settings are captured by the
saveVariantSettings operation. The response includes an entry for the control (variant 1) alongside the captured variant, so the controlβs original configuration can be restored later.
Returns 404 if the A/B test doesnβt exist or no settings have been captured for it.
Required ACL: analyticsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
Unique A/B test identifier.
Example:
224
Last modified on October 12, 2026
Was this page helpful?